petsc-3.4.2 2013-07-02

# PetscCommGetThreadComm

Gets the thread communicator associated with the MPI communicator

### Synopsis

    #include "petscthreadcomm.h"
    PetscErrorCode PetscCommGetThreadComm(MPI_Comm comm,PetscThreadComm *tcommp)

Not Collective

### Input Parameters

comm -the MPI communicator

### Output Parameters

tcommp -pointer to the thread communicator

Notes: If no thread communicator is on the MPI_Comm then the global thread communicator is returned.

### See Also

PetscThreadCommCreate(), PetscThreadCommDestroy()

Level:Intermediate
Location:src/sys/threadcomm/interface/threadcomm.c
Index of all PetscThreadComm routines
Table of Contents for all manual pages
Index of all manual pages